;------------------------------------------------------------------------------
; raw2l1 user configuration file
;
;  ___  __   _   _  ___ _   __
; | _ \/  \ | | | |(_  | | /  |
; | v / /\ || 'V' | / /| |_`7 |
; |_|_\_||_|!_/ \_!|___|___||_|
;
; version: 2.1.19
; SIRTA IPSL/CNRS/EP 2014-2016
;------------------------------------------------------------------------------

; General configuration of the processing
;------------------------------------------------------------------------------
[conf]
reader_dir = reader
reader = lufft_chm15k_nimbus
netcdf_format = NETCDF3_CLASSIC

; Special option for the reader (optional)
;------------------------------------------------------------------------------
[reader_conf]
overlap_file = reader/jenoptik_chm15k_overlap.txt
missing_float = -999.
missing_int = -9

; Global attribute of the netCDF file
;------------------------------------------------------------------------------
[global]
site_location = site_location
instrument_id = instrument_id
instrument_version_number = instrument_version_number
principal_investigator = principal_investigator
title = title
institution = institution
source = source
history = history
references = references
comment = comment
author = author
conventions = CF-1.6

; Dimensions
;------------------------------------------------------------------------------
[time]
name = time
dim = time
type = $time$
standard_name = time
units = days since 1970-01-01 00:00:00
calendar = standard
value = $reader_data$, time

[range]
name = range
dim = range
type = $float$
standard_name = range
units = m
value = $reader_data$, range

[layer]
name = layer
dim = layer
type = $integer$
long_name = layer index
value = $reader_data$, layer

; variables
;------------------------------------------------------------------------------
[rcs_0]
type = $double$
long_name = normalized range corrected signal
dim = time, range
laser = 0
telescope = 0
value = $reader_data$, rcs_0

[bckgrd_rcs_0]
long_name = background signal (received power when no photons are being backscattered)
dim = time
value = $reader_data$, bckgrd_rcs_0
type = $double$

[cbh]
type = $float$
long_name = cloud base height
units = m
dim = time, layer
value = $reader_data$, cbh

[ovl_0]
type = $float$
dim = range
long_name = overlap function
value = $overlap$, test/input/jenoptik_chm15k/jenoptik_chm15k_overlap.txt

[l0_wavelength]
type = $float$
dim = $none$
long_name = laser 0 l0_wavelength
units = nm
value = $reader_data$, l0_wavelength

[start_time]
dim = time
type = $time$
long_name = start time of measurements
units = days since 1970-01-01 00:00:00
calendar = standard
value = $reader_data$, start_time

[lat]
dim = $none$
type = $float$
long_name = latitude
units = degrees_north
value = $reader_data$, latitude

[lon]
dim = $none$
type = $float$
long_name = longitude
units = degrees_east
value = $reader_data$, longitude

[altitude]
dim = $none$
type = $float$
long_name = altitude
units = m
value = $reader_data$, altitude



